Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.eclipse.ohf.ihe.common.cdar2
Class ProbabilityDistributionType

    java.lang.Object
      org.eclipse.emf.common.util.AbstractEnumerator
          org.eclipse.ohf.ihe.common.cdar2.ProbabilityDistributionType

All Implemented Interfaces:
  org.eclipse.emf.common.util.Enumerator

    public final class ProbabilityDistributionType

extends org.eclipse.emf.common.util.AbstractEnumerator

A representation of the literals of the enumeration 'Probability Distribution Type', and utility methods for working with them. vocSet: D10747 (C-0-D10747-cpt)

See Also:
  `CDAR2Package.getProbabilityDistributionType()`

Field Summary
`static int` | `B` The 'B' literal value.
`static ProbabilityDistributionType` | `B_LITERAL` The 'B' literal object.
`static int` | `E` The 'E' literal value.
`static ProbabilityDistributionType` | `E_LITERAL` The 'E' literal object.
`static int` | `F` The 'F' literal value.
`static ProbabilityDistributionType` | `F_LITERAL` The 'F' literal object.
`static int` | `G` The 'G' literal value.
`static ProbabilityDistributionType` | `G_LITERAL` The 'G' literal object.
`static int` | `LN` The 'LN' literal value.
`static ProbabilityDistributionType` | `LN_LITERAL` The 'LN' literal object.
`static int` | `N` The 'N' literal value.
`static ProbabilityDistributionType` | `N_LITERAL` The 'N' literal object.
`static int` | `T` The 'T' literal value.
`static ProbabilityDistributionType` | `T_LITERAL` The 'T' literal object.
`static int` | `U` The 'U' literal value.
`static ProbabilityDistributionType` | `U_LITERAL` The 'U' literal object.
`static java.util.List` | `VALUES` A public read-only list of all the 'Probability Distribution Type' enumerators.
`static int` | `X2` The 'X2' literal value.
`static ProbabilityDistributionType` | `X2_LITERAL` The 'X2' literal object.

Method Summary
`static ProbabilityDistributionType` | `get(int value)` Returns the 'Probability Distribution Type' literal with the specified integer value.
`static ProbabilityDistributionType` | `get(java.lang.String literal)` Returns the 'Probability Distribution Type' literal with the specified literal value.
`static ProbabilityDistributionType` | `getByName(java.lang.String name)` Returns the 'Probability Distribution Type' literal with the specified name.

Methods inherited from class org.eclipse.emf.common.util.AbstractEnumerator
`getLiteral, getName, getValue, toString`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### B

    public static final int B

  The 'B' literal value.

  If the meaning of 'B' literal object isn't clear, there really should be more of a description here...

  See Also:
    `B_LITERAL`, Constant Field Values

### E

    public static final int E

  The 'E' literal value.

  If the meaning of 'E' literal object isn't clear, there really should be more of a description here...

  See Also:
    `E_LITERAL`, Constant Field Values

### F

    public static final int F

  The 'F' literal value.

  If the meaning of 'F' literal object isn't clear, there really should be more of a description here...

  See Also:
    `F_LITERAL`, Constant Field Values

### G

    public static final int G

  The 'G' literal value.

  If the meaning of 'G' literal object isn't clear, there really should be more of a description here...

  See Also:
    `G_LITERAL`, Constant Field Values

### LN

    public static final int LN

  The 'LN' literal value.

  If the meaning of 'LN' literal object isn't clear, there really should be more of a description here...

  See Also:
    `LN_LITERAL`, Constant Field Values

### N

    public static final int N

  The 'N' literal value.

  If the meaning of 'N' literal object isn't clear, there really should be more of a description here...

  See Also:
    `N_LITERAL`, Constant Field Values

### T

    public static final int T

  The 'T' literal value.

  If the meaning of 'T' literal object isn't clear, there really should be more of a description here...

  See Also:
    `T_LITERAL`, Constant Field Values

### U

    public static final int U

  The 'U' literal value.

  If the meaning of 'U' literal object isn't clear, there really should be more of a description here...

  See Also:
    `U_LITERAL`, Constant Field Values

### X2

    public static final int X2

  The 'X2' literal value.

  If the meaning of 'X2' literal object isn't clear, there really should be more of a description here...

  See Also:
    `X2_LITERAL`, Constant Field Values

### B_LITERAL

    public static final ProbabilityDistributionType B_LITERAL

  The 'B' literal object.

  See Also:
    `B`

### E_LITERAL

    public static final ProbabilityDistributionType E_LITERAL

  The 'E' literal object.

  See Also:
    `E`

### F_LITERAL

    public static final ProbabilityDistributionType F_LITERAL

  The 'F' literal object.

  See Also:
    `F`

### G_LITERAL

    public static final ProbabilityDistributionType G_LITERAL

  The 'G' literal object.

  See Also:
    `G`

### LN_LITERAL

    public static final ProbabilityDistributionType LN_LITERAL

  The 'LN' literal object.

  See Also:
    `LN`

### N_LITERAL

    public static final ProbabilityDistributionType N_LITERAL

  The 'N' literal object.

  See Also:
    `N`

### T_LITERAL

    public static final ProbabilityDistributionType T_LITERAL

  The 'T' literal object.

  See Also:
    `T`

### U_LITERAL

    public static final ProbabilityDistributionType U_LITERAL

  The 'U' literal object.

  See Also:
    `U`

### X2_LITERAL

    public static final ProbabilityDistributionType X2_LITERAL

  The 'X2' literal object.

  See Also:
    `X2`

### VALUES

    public static final java.util.List VALUES

  A public read-only list of all the 'Probability Distribution Type' enumerators.

Method Detail

### get

    public static ProbabilityDistributionType get(java.lang.String literal)

  Returns the 'Probability Distribution Type' literal with the specified literal value.

### getByName

    public static ProbabilityDistributionType getByName(java.lang.String name)

  Returns the 'Probability Distribution Type' literal with the specified name.

### get

    public static ProbabilityDistributionType get(int value)

  Returns the 'Probability Distribution Type' literal with the specified integer value.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD